Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.discovery
Class MfDiscoveryActualResponder

    java.lang.Object
      java.net.DatagramSocket
          java.net.MulticastSocket
              com.sun.mfwk.discovery.MfDiscoveryCommon
                  com.sun.mfwk.discovery.MfDiscoveryActualResponder

public class MfDiscoveryActualResponder
extends com.sun.mfwk.discovery.MfDiscoveryCommon

Constructor Summary
`MfDiscoveryActualResponder(java.lang.String multicastGroup, int multicastPort, com.sun.mfwk.discovery.MfMcastMessage msgToSend)`

Method Summary
`java.net.InetAddress` | `getHostAddr()`
`java.lang.String` | `getHostName()`
`java.net.InetAddress` | `getLocalHostAddr()`
`java.lang.String` | `getLocalHostName()`
`int` | `getTimeToLive()` Get the time-to-live for multicast packets sent out on this socket.
`void` | `setTimeToLive(int ttl)` Set the default time-to-live for multicast packets sent out on this socket.
`void` | `startListeningThread()`
`void` | `stopListeningThread()`

Methods inherited from class java.net.MulticastSocket
`getInterface, getLoopbackMode, getNetworkInterface, getTTL, joinGroup, joinGroup, leaveGroup, leaveGroup, send, setInterface, setLoopbackMode, setNetworkInterface, setTTL`

Methods inherited from class java.net.DatagramSocket
`bind, close, connect, connect, disconnect, getBroadcast, getChannel, getInetAddress, getLocalAddress, getLocalPort, getLocalSocketAddress, getPort, getReceiveBufferSize, getRemoteSocketAddress, getReuseAddress, getSendBufferSize, getSoTimeout, getTrafficClass, isBound, isClosed, isConnected, receive, send, setBroadcast, setDatagramSocketImplFactory, setReceiveBufferSize, setReuseAddress, setSendBufferSize, setSoTimeout, setTrafficClass`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MfDiscoveryActualResponder

    public MfDiscoveryActualResponder(java.lang.String multicastGroup,
                                      int multicastPort,
                                      com.sun.mfwk.discovery.MfMcastMessage msgToSend)
                               throws java.io.IOException

Method Detail

### setTimeToLive

    public void setTimeToLive(int ttl)
                       throws java.io.IOException

  Set the default time-to-live for multicast packets sent out on this socket. The TTL sets the IP time-to-live for DatagramPackets sent to a MulticastGroup, which specifies how many "hops" that the packet will be forwarded on the network before it expires. The ttl must be in the range 0 < ttl <= 255 or an IllegalArgumentException will be thrown.

  Throws:
    `java.io.IOException`

### getTimeToLive

    public int getTimeToLive()

  Get the time-to-live for multicast packets sent out on this socket. The TTL sets the IP time-to-live for DatagramPackets sent to a MulticastGroup, which specifies how many "hops" that the packet will be forwarded on the network before it expires. The ttl must be in the range 0 < ttl <= 255 or an IllegalArgumentException will be thrown.

### getLocalHostName

    public java.lang.String getLocalHostName()

### getLocalHostAddr

    public java.net.InetAddress getLocalHostAddr()

### getHostName

    public java.lang.String getHostName()

### getHostAddr

    public java.net.InetAddress getHostAddr()

### startListeningThread

    public void startListeningThread()

### stopListeningThread

    public void stopListeningThread()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD